Bug 1027164 - tagpy saves incorrect metadata (typically chinese characters)
tagpy saves incorrect metadata (typically chinese characters)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: taglib (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 05:06 EST by Tim Cuthbertson
Modified: 2013-12-01 04:34 EST (History)
5 users (show)

See Also:
Fixed In Version: taglib-1.9.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-29 08:58:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Cuthbertson 2013-11-06 05:06:02 EST
Upstream bug:
https://github.com/taglib/taglib/issues/306

It's due to an accidental ABI change in 1.9, affecting anything compiled against 1.8 but using 1.9 at runtime.

Presumably the next upstream release will fix this - the workaround currently is to read back & save the fields again, at which point the bytes get swapped back to the correct order.
Comment 1 Michael Schwendt 2013-11-25 11:53:56 EST
So, reassigning this to "taglib" and merging https://github.com/taglib/taglib/pull/307 would fix it?
Comment 2 Tim Cuthbertson 2013-11-25 17:22:24 EST
Yes, that would fix it. Alternatively that commit has been merged into master, so the next upstream release will contain the fix too. But merging the individual fix will be a quicker fix.
Comment 3 Fedora Update System 2013-11-26 10:56:51 EST
taglib-1.9.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/taglib-1.9.1-2.fc20
Comment 4 Fedora Update System 2013-11-26 10:57:34 EST
taglib-1.9.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/taglib-1.9.1-2.fc19
Comment 5 Fedora Update System 2013-11-26 10:58:21 EST
taglib-1.9.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/taglib-1.9.1-2.fc18
Comment 6 Fedora Update System 2013-11-26 13:04:06 EST
Package taglib-1.9.1-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing taglib-1.9.1-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22185/taglib-1.9.1-2.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-11-29 08:58:40 EST
taglib-1.9.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-01 04:34:30 EST
taglib-1.9.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.